### Enumeration

# Cogl FrameEvent

#### Declaration

    enum Cogl.FrameEvent

#### Description [src]

Identifiers that are passed to `CoglFrameCallback` functions (registered using cogl_onscreen_add_frame_callback()) that mark the progression of a frame in some way which usually means that new information will have been accumulated in the frame’s corresponding `CoglFrameInfo` object.

The last event that will be sent for a frame will be a `COGL_FRAME_EVENT_COMPLETE` event and so these are a good opportunity to collect statistics about a frame since the `CoglFrameInfo` should hold the most data at this point.

A frame may not be completed before the next frame can start so applications should avoid needing to collect all statistics for a particular frame before they can start a new frame.

#### Members

`COGL_FRAME_EVENT_SYNC`

  Notifies that the system compositor has acknowledged a frame and is ready for a new frame to be created.

  - Value: `1`
  - Available since: 16
`COGL_FRAME_EVENT_COMPLETE`

  Notifies that a frame has ended. This is a good time for applications to collect statistics about the frame since the `CoglFrameInfo` should hold the most data at this point. No other events should be expected after a `COGL_FRAME_EVENT_COMPLETE` event.

  - Value: `2`
  - Available since: 16